﻿using CoreLibrary.Core;
using CoreLibrary.Evenements;
using CoreLibrary.Joueurs;
using System.Reflection;
using Xunit;

namespace UnitTesting
{
    public class JoueurUT
    {
        [Fact]
        public void TestConstructeur1Valide()
        {
            string nom = "";

            Joueur joueur = new Joueur();


            Assert.Equal(nom, joueur.Nom);
            Assert.False(joueur.EstConnecte);
        }


        [Fact]
        public void TestConstructeur2Valide()
        {
            string nom = "toto";

            Joueur joueur = new Joueur(nom);


            Assert.Equal(nom, joueur.Nom);
            Assert.False(joueur.EstConnecte);
        }

    }
}
